Capture API
This will capture the transaction which is in the AUTHORIZED state.
We support both full-capture and partial-capture (up to the amount pre-authorized).
Note
Partial Capture flow is currently supported only via CYBERSOURCE Gateway
On successful full capture, the transaction is marked
CHARGEDand the order status is alsoCHARGED.On successful partial capture, the API accepts an additional
amountandidempotence_keyparameters. While the transactions remainCHARGED,the order status updates toPARTIAL_CHARGED.
Status Understanding:
Scroll inside to view more
|
Payment Gateway Response
|
Juspay Transaction Status
|
|---|---|
Success
| CHARGED
|
Failed
| CAPTURE_FAILED
|
Accepted and pending by gateway
| CAPTURE_INITIATED
|
Timeout/ No response from gateway
| AUTHORIZED
|
Request
Response
API Endpoints
Sandbox Link
POST
https://sandbox.juspay.in/v2/txns/{txn_uuid}/capture
Production Link
POST
https://api.juspay.in/v2/txns/{txn_uuid}/capture
Headers
Path Params
Body
200 : Success
400 : Invalid Input data
401 : Authentication Failed

